Bug 27359 - patch(1) fails to apply patches
: patch(1) fails to apply patches
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/patch)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-05-23 13:17 by
Modified: 2012-08-03 09:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-05-23 13:17:09
patch-2.5.1-alt5 и выше перестали прикладывать патчи

steps to reproduce:

git clone git://git.xiph.org/speex.git
приложить
http://git.videolan.org/?p=vlc.git;a=blob;f=contrib/src/speex/neon.patch

с patch-2.5.1-alt5 и -alt6:

thresh ~/speex $ patch -p1 < ~/vlc/contrib/src/speex/neon.patch
patching file configure.ac
patching file libspeex/resample.c
patching file configure.ac
patching file libspeex/arch.h
patching file libspeex/fixed_generic.h
patching file libspeex/resample.c
patching file libspeex/resample_neon.h
can't find file to patch at input line 346
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|-- 
|1.7.8.3
|
|From e2127a3db9e43b4336e79e5746f3053c0c799562 Mon Sep 17 00:00:00 2001
|From: Jyri Sarha <jsarha@ti.com>
|Date: Thu, 1 Sep 2011 15:30:31 +0300
|Subject: [PATCH 4/4] resample: Add NEON optimized inner_product_single for
| floating point
|
|Also adds inline asm implementations of WORD2INT(x) macro for fixed
|and floating point.
|---
| libspeex/resample_neon.h |  101
++++++++++++++++++++++++++++++++++++++++++++++
| 1 files changed, 101 insertions(+), 0 deletions(-)
|
|diff --git a/libspeex/resample_neon.h b/libspeex/resample_neon.h
|index ba93e41..e7e981e 100644
|--- a/libspeex/resample_neon.h
|+++ b/libspeex/resample_neon.h
--------------------------
File to patch: ^C


При откате на patch-2.5.1-alt4 проблема исчезает.
------- Comment #1 From 2012-05-23 13:46:12 -------
git bisect показал, что виновен
http://git.savannah.gnu.org/cgit/patch.git/commit/?id=c43eeb22a45171fc5bab28d460f73497fde24602
------- Comment #2 From 2012-05-31 03:45:19 -------
Переправил в bug-patch@gnu.org неделю назад с более простым примером, реакции
пока что нет.
------- Comment #3 From 2012-07-17 11:35:37 -------
Если что, в точности воспроизводится на patch-2.6.1-alt6.
------- Comment #4 From 2012-08-02 00:25:40 -------
Апстрим все-таки начал реагировать:
http://lists.gnu.org/archive/html/bug-patch/2012-08/msg00007.html
http://git.savannah.gnu.org/cgit/patch.git/commit/?id=v2.6.1-179-g1209278
Наверное, скоро будет фикс.
------- Comment #5 From 2012-08-03 04:50:10 -------
patch-2.6.1-alt7 -> sisyphus:

* Fri Aug 03 2012 Dmitry V. Levin <ldv@altlinux> 2.6.1-alt7
- Updated patch to v2.6.1-181-g1e6c0d0 (closes: #27359).
- Built with gnulib v0.0-7557-gee60576.
------- Comment #6 From 2012-08-03 09:37:16 -------
Спасибо.